- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_socket_t

# mongoc_socket_close()

## Synopsis

    int
    mongoc_socket_close (mongoc_socket_t *socket);

## Parameters

- `socket`: A mongoc_socket_t.

## Description

This function is a wrapper around the BSD socket `shutdown()` and `close()` functions, and their Windows equivalents. The socket is shut down only if the current process is the same as the process that opened the socket. Regardless, the socket is then closed.

## Returns

0 on success, -1 on failure to close the socket. On failure, the socket’s errno is set; retrieve it with mongoc_socket_errno().

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.